Bug 1397261 - (gstreamer1-plugins-ugly-free) Review Request: gstreamer1-plugins-ugly-free - GStreamer ugly plugins
Review Request: gstreamer1-plugins-ugly-free - GStreamer ugly plugins
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neal Gompa
Fedora Extras Quality Assurance
:
Depends On: 1396139 1433758
Blocks: 1449884
  Show dependency treegraph
 
Reported: 2016-11-22 00:06 EST by Yaakov Selkowitz
Modified: 2017-05-17 02:03 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1394148
Environment:
Last Closed: 2017-05-14 16:21:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ngompa13: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Yaakov Selkowitz 2016-11-22 00:06:27 EST
+++ This bug was initially created as a clone of Bug #1394148 +++

Spec URL: https://people.freedesktop.org/~wtay/SPECS/gstreamer1-plugin-mpg123.spec
SRPM URL: https://people.freedesktop.org/~wtay/SRPMS/gstreamer1-plugin-mpg123-1.10.0-1.fc25.src.rpm
Description: GStreamer plug-in for mp3 support through mpeg123.
Fedora Account System Username: wtaymans

This is the GStreamer plugin for mp3 playback extracted from the gstreamer1-plugins-ugly package.

--- Additional comment from Yaakov Selkowitz on 2016-11-11 15:13:24 EST ---

Are there any other parts of gst-plugins-ugly which we can include as a (slightly) more complete gstreamer1-plugins-ugly-free?

There are five plugins under gst/ with actual code:

* asfdemux: demuxer for Microsoft's Advanced Streaming Format
* dvdlpcmdec: Decode DVD LPCM frames into standard PCM
* dvdsub: DVD subtitle parser and decoder
* realmedia: RealMedia support
* xingmux: add Xing tags to MP3 files

And the following plugins under ext/ which just wrap other libraries which are, or could be, in Fedora:

* cdio: read CD audio with libcdio (which is free but GPL)
* dvdread: access DVDs with libdvdread (which is free but GPL; note that there is another plugin already in gstreamer1-plugins-bad-free which uses libdvd{nav,read})
* mad: MP3 decoding with libmad (now considered free but GPL; currently under package review in bug 1396139)
* mpg123: just added as gstreamer1-plugin-mpg123.

There are others, but their dependent libraries are not in Fedora for legal reasons, or just obsolete (namely, libsidplay).  Precedence is that ext/ plugins need not be removed from the tarballs even if they wrap unacceptable libraries, since they are just wrappers.
Comment 1 Yaakov Selkowitz 2016-11-22 00:20:45 EST
There are two reasons for including a package in -ugly: 1) license of included code or dependent library is "stronger" than LGPL (usually GPL), and/or 2) software patents.  The former should still be acceptable for Fedora; as mentioned above, there are already other GPL plugins in -bad-free.

Therefore, requesting legal review of the above plugins to see which (if any) fall under the former category and can therefore be included.
Comment 2 Tom "spot" Callaway 2016-11-22 09:09:26 EST
cdio, dvdread, mad, mpg123 are all fine. It is worth noting to random people who stumble across this that libdvdread does not natively support reading CSS encrypted DVDs, but if libdvdcss is present, it can (we cannot include libdvdcss in Fedora).

asfdemux, dvdlpcmdec, dvdsub, realmedia are not permissible.

Side Note: If someone in 2016+ really cares about realmedia, speak up. I can't imagine there are that many people who care about that format.

xingmux is permissible.
Comment 3 Yaakov Selkowitz 2016-11-22 12:53:39 EST
Spec URL: https://yselkowitz.fedorapeople.org/gstreamer1-plugins-ugly-free.spec
SRPM URL: https://yselkowitz.fedorapeople.org/gstreamer1-plugins-ugly-free-1.10.0-4.fc26.src.rpm
Description: GStreamer streaming media framework "ugly" plugins
Fedora Account System Username: yselkowi

koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=16566350

Cleanup script:
https://yselkowitz.fedorapeople.org/gst-p-ugly-cleanup.sh

This is based on gstreamer1-plugins-bad-free.  As libmad is still under review (bug 1396139), I have temporarily omitted that plugin.  Perhaps we should wait to ultimately import this until that is ready, to avoid a second potential conflict with the external repository's package.

In the meantime, spot, could you sign off on this cleanup?
Comment 4 Neal Gompa 2016-11-22 17:23:21 EST
I'll take this review, but I'd like for spot to okay the cleanup script.
Comment 5 Peter Lemenkov 2016-11-23 07:55:11 EST
I wonder why do we have libmad plugin enabled. AFAIK mad development was halted ~12 years ago or so. On the contrary mpg123' development is still ongoing.

Does mad plugin provides some extra functionality missing in mpg123? Performance benefits?
Comment 6 Yaakov Selkowitz 2016-11-23 15:12:58 EST
(In reply to Peter Lemenkov from comment #5)
> I wonder why do we have libmad plugin enabled. AFAIK mad development was
> halted ~12 years ago or so. On the contrary mpg123' development is still
> ongoing.
> 
> Does mad plugin provides some extra functionality missing in mpg123?
> Performance benefits?

mad has been around longer and therefore more established.  The mpg123 plugin was just moved from -bad to -ugly, and also has lower rank than mad.  Therefore, without any additional information, I have to presume that the GStreamer developers consider the mad plugin to be preferred; whether that can or should be changed would be up to them.
Comment 7 Tom "spot" Callaway 2016-11-28 14:20:15 EST
(In reply to Yaakov Selkowitz from comment #3)

> In the meantime, spot, could you sign off on this cleanup?

Script looks fine.
Comment 8 Neal Gompa 2017-01-01 10:55:11 EST
Initial review notes:

- libmad is now in Fedora, so that module can be enabled
- Please split AppStream metainfo file out into a separate source file and install it that way
- Also, please check on whether metainfo file is complete. Meaning, does it have enough information for GNOME Software or Plasma Discover to use the information to be able to select the codecs when queried by applications? I suspect not. See: https://www.freedesktop.org/software/appstream/docs/sect-Metadata-Codec.html

> make %{?_smp_mflags}

Please change to "%make_build"

> make install DESTDIR=$RPM_BUILD_ROOT

Please change to "%make_install"
Comment 9 Neal Gompa 2017-01-12 20:36:03 EST
Since Tom okay'd it, unblocking FE-Legal.
Comment 10 Neal Gompa 2017-01-12 20:37:04 EST
Are you still interested in getting this in? Please respond soon about this, as I'm sure there are people who are interested in this being in.
Comment 11 Yaakov Selkowitz 2017-03-20 11:56:25 EDT
a52dec can be enabled pending bug 1433758.
Comment 12 Peter Lemenkov 2017-03-20 12:08:19 EDT
(In reply to Yaakov Selkowitz from comment #6)
> (In reply to Peter Lemenkov from comment #5)
> > I wonder why do we have libmad plugin enabled. AFAIK mad development was
> > halted ~12 years ago or so. On the contrary mpg123' development is still
> > ongoing.
> > 
> > Does mad plugin provides some extra functionality missing in mpg123?
> > Performance benefits?
> 
> mad has been around longer and therefore more established.  The mpg123
> plugin was just moved from -bad to -ugly, and also has lower rank than mad. 
> Therefore, without any additional information, I have to presume that the
> GStreamer developers consider the mad plugin to be preferred; whether that
> can or should be changed would be up to them.

Turned out that mad-plugin was removed from the repo:

https://cgit.freedesktop.org/gstreamer/gst-plugins-ugly/commit/ext?id=2f767fb

So we should stick with mpg123.
Comment 13 Yaakov Selkowitz 2017-03-20 12:15:13 EDT
(In reply to Peter Lemenkov from comment #12)
> Turned out that mad-plugin was removed from the repo:

Well, that answers my question.

> So we should stick with mpg123.

Agreed.
Comment 14 Peter Lemenkov 2017-03-23 06:13:47 EDT
(In reply to Yaakov Selkowitz from comment #13)
> (In reply to Peter Lemenkov from comment #12)
> > Turned out that mad-plugin was removed from the repo:
> 
> Well, that answers my question.
> 
> > So we should stick with mpg123.
> 
> Agreed.

Yaakov, please enable a52dec plugin as well. It's on its way to Fedora (bug 1433758).
Comment 15 Yaakov Selkowitz 2017-03-23 13:26:49 EDT
(In reply to Neal Gompa from comment #8)
> Initial review notes:
> 
> - libmad is now in Fedora, so that module can be enabled

Per comments above, it's been removed upstream.

> - Please split AppStream metainfo file out into a separate source file and
> install it that way

This is exactly how it is done in the other gstreamer1-plugins-* packages.

> - Also, please check on whether metainfo file is complete. Meaning, does it
> have enough information for GNOME Software or Plasma Discover to use the
> information to be able to select the codecs when queried by applications? I
> suspect not.

Then please confirm this and file bugs against the other gstreamer1-plugins-* packages, because this is *exactly* what they are doing.

> > make %{?_smp_mflags}
> 
> Please change to "%make_build"

Ditto.

> > make install DESTDIR=$RPM_BUILD_ROOT
> 
> Please change to "%make_install"

Ditto.
Comment 16 Yaakov Selkowitz 2017-03-23 13:31:46 EDT
(In reply to Peter Lemenkov from comment #14)
> Yaakov, please enable a52dec plugin as well. It's on its way to Fedora (bug
> 1433758).

I can't enable it until it's actually in. :-)
Comment 17 Yaakov Selkowitz 2017-03-23 14:38:40 EDT
Spec URL: https://yselkowitz.fedorapeople.org/gstreamer1-plugins-ugly-free.spec
SRPM URL: https://yselkowitz.fedorapeople.org/gstreamer1-plugins-ugly-free-1.11.2-1.fc26.src.rpm
Description: GStreamer streaming media framework "ugly" plugins
Fedora Account System Username: yselkowitz

koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=18550664

The a52dec plugin is commented out pending the import of the dependency into Fedora.

BTW, I won't object if the GStreamer packagers want to take or co-maintain this.
Comment 18 Wim Taymans 2017-03-24 04:03:30 EDT
I can take (In reply to Yaakov Selkowitz from comment #17)
> Spec URL:
> https://yselkowitz.fedorapeople.org/gstreamer1-plugins-ugly-free.spec
> SRPM URL:
> https://yselkowitz.fedorapeople.org/gstreamer1-plugins-ugly-free-1.11.2-1.
> fc26.src.rpm
> Description: GStreamer streaming media framework "ugly" plugins
> Fedora Account System Username: yselkowitz
> 
> koji scratch build:
> https://koji.fedoraproject.org/koji/taskinfo?taskID=18550664
> 
> The a52dec plugin is commented out pending the import of the dependency into
> Fedora.
> 
> BTW, I won't object if the GStreamer packagers want to take or co-maintain
> this.

This is probably the best way forward, there is not much in -ugly that we can enable but it's better than creating a new package for each new plugin we can ship. 

I can maintain this together with the other GStreamer packages.
Comment 19 Matthew Miller 2017-03-24 10:35:42 EDT
Given comment #1:

> There are two reasons for including a package in -ugly: 1) license of included code or dependent library is "stronger" than LGPL (usually GPL), and/or 2) software patents.  The former should still be acceptable for Fedora; as mentioned above, there are already other GPL plugins in -bad-free.

... I don't think we really want a package called "-ugly" in Fedora. If the plugin _formerly_ was in category 2 but is cleared and is GPL, shouldn't it be just moved to -good or -base? If it's in category 1, maybe something like -non-lgpl (or -gpl, if that's what they all actually are), rather than "ugly"?
Comment 20 Yaakov Selkowitz 2017-03-24 12:26:31 EDT
(In reply to Matthew Miller from comment #19)
> ... I don't think we really want a package called "-ugly" in Fedora.

IIUC the plugin packages are named "good", "bad", and "ugly" after some cultural reference.  The GStreamer website has a lengthy description of these names and the criteria for what falls into each.

> If the plugin _formerly_ was in category 2 but is cleared and is GPL, shouldn't 
> it be just moved to -good or -base? If it's in category 1, maybe something like
> -non-lgpl (or -gpl, if that's what they all actually are), rather than
> "ugly"?

GPL plugins will always stay in -ugly.  In theory, it is possible that mpg123 might be moved to -good or even -base in the future, but I'm not involved with GStreamer upstream, so I can't say if and when that might be considered.
Comment 21 Yaakov Selkowitz 2017-03-24 12:49:05 EDT
Spec URL: https://yselkowitz.fedorapeople.org/gstreamer1-plugins-ugly-free.spec
SRPM URL: https://yselkowitz.fedorapeople.org/gstreamer1-plugins-ugly-free-1.11.2-1.fc26.src.rpm
Description: GStreamer streaming media framework "ugly" plugins
Fedora Account System Username: yselkowitz

koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=18575040

Enabled the a52dec dependency and plugin.  Scratch build was against rawhide/F27 this time, as a52dec is obviously still pending tagging into updates-testing.

Wim, how do you want to take this?
Comment 22 Yaakov Selkowitz 2017-04-04 18:00:51 EDT
Is someone going to review this?  This is where the addition of a52dec/liba52 will have the greatest impact for F26.
Comment 23 Neal Gompa 2017-04-04 22:45:57 EDT
I'm happy to review it, I just didn't realize an update had been posted...
Comment 24 Neal Gompa 2017-04-04 22:50:31 EDT
(In reply to Yaakov Selkowitz from comment #15)
> (In reply to Neal Gompa from comment #8)
> > Initial review notes:
> > 
> > - libmad is now in Fedora, so that module can be enabled
> 
> Per comments above, it's been removed upstream.
> 
> > - Please split AppStream metainfo file out into a separate source file and
> > install it that way
> 
> This is exactly how it is done in the other gstreamer1-plugins-* packages.
> 
> > - Also, please check on whether metainfo file is complete. Meaning, does it
> > have enough information for GNOME Software or Plasma Discover to use the
> > information to be able to select the codecs when queried by applications? I
> > suspect not.
> 
> Then please confirm this and file bugs against the other
> gstreamer1-plugins-* packages, because this is *exactly* what they are doing.
> 
> > > make %{?_smp_mflags}
> > 
> > Please change to "%make_build"
> 
> Ditto.
> 
> > > make install DESTDIR=$RPM_BUILD_ROOT
> > 
> > Please change to "%make_install"
> 
> Ditto.

This is not an acceptable response to any of my feedback. What has been going on in the past is not a factor my review of this now, as I want this package to *work*. That said, I will take a look at the other ones, but I still want you to fix *this one*.
Comment 25 Yaakov Selkowitz 2017-04-04 23:23:07 EDT
(In reply to Neal Gompa from comment #24)
> This is not an acceptable response to any of my feedback. What has been
> going on in the past is not a factor my review of this now, as I want this
> package to *work*. That said, I will take a look at the other ones, but I
> still want you to fix *this one*.

You have not indicated any definite issue with the package actually *working*:

> - Please split AppStream metainfo file out into a separate source file and
> install it that way

The guidelines allow for either:

https://fedoraproject.org/wiki/Packaging:AppData#.appdata.xml_file_creation

> - Also, please check on whether metainfo file is complete. Meaning, does it
> have enough information for GNOME Software or Plasma Discover to use the
> information to be able to select the codecs when queried by applications? I
> suspect not.

You suspect not based on what?

> > make install DESTDIR=$RPM_BUILD_ROOT
> 
> Please change to "%make_install"

The guidelines consider these equally valid:

https://fedoraproject.org/wiki/Packaging:Guidelines#Why_the_.25makeinstall_macro_should_not_be_used
Comment 26 Yaakov Selkowitz 2017-05-04 04:49:31 EDT
It looks like MP3 encoding is being allowed now, so the lame backend could be enabled here too once lame itself is added.

In the meantime, can we please get an actual review so that this can get into F26?
Comment 27 Yaakov Selkowitz 2017-05-10 01:13:08 EDT
While surprised that nobody else beat me to it, I have ITP'd lame in bug 1449467.
Comment 28 Neal Gompa 2017-05-10 22:50:59 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or
     generated", "MIT/X11 (BSD like)", "LGPL (v2.1 or later)", "FSF All
     Permissive". 363 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/1397261-gstreamer1-plugins-ugly-
     free/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gtk-doc, /usr/share
     /gtk-doc/html
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/gtk-doc/html/gst-
     plugins-ugly-plugins-1.0(gstreamer1-plugins-ugly-devel-docs)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     gstreamer1-plugins-ugly-free-devel , gstreamer1-plugins-ugly-free-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gstreamer1-plugins-ugly-free-1.11.2-1.fc27.x86_64.rpm
          gstreamer1-plugins-ugly-free-devel-1.11.2-1.fc27.x86_64.rpm
          gstreamer1-plugins-ugly-free-debuginfo-1.11.2-1.fc27.x86_64.rpm
          gstreamer1-plugins-ugly-free-1.11.2-1.fc27.src.rpm
gstreamer1-plugins-ugly-free.x86_64: W: spelling-error Summary(en_US) GStreamer -> G Streamer, Streamer, Steamer
gstreamer1-plugins-ugly-free.x86_64: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
gstreamer1-plugins-ugly-free.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
gstreamer1-plugins-ugly-free.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
gstreamer1-plugins-ugly-free-devel.x86_64: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
gstreamer1-plugins-ugly-free.src: W: spelling-error Summary(en_US) GStreamer -> G Streamer, Streamer, Steamer
gstreamer1-plugins-ugly-free.src: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
gstreamer1-plugins-ugly-free.src: W: strange-permission gst-p-ugly-cleanup.sh 775
gstreamer1-plugins-ugly-free.src:5: W: macro-in-comment %{gitcommit}
gstreamer1-plugins-ugly-free.src:16: W: macro-in-comment %{gitcommit}
gstreamer1-plugins-ugly-free.src:20: W: macro-in-comment %{version}
gstreamer1-plugins-ugly-free.src:147: W: macro-in-comment %{majorminor}
gstreamer1-plugins-ugly-free.src: W: invalid-url Source0: gst-plugins-ugly-free-1.11.2.tar.xz
4 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (debuginfo)
-------------------
Checking: gstreamer1-plugins-ugly-free-debuginfo-1.11.2-1.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
gstreamer1-plugins-ugly-free-devel.x86_64: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
gstreamer1-plugins-ugly-free.x86_64: W: spelling-error Summary(en_US) GStreamer -> G Streamer, Streamer, Steamer
gstreamer1-plugins-ugly-free.x86_64: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
gstreamer1-plugins-ugly-free.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
gstreamer1-plugins-ugly-free.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
3 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
gstreamer1-plugins-ugly-free-debuginfo (rpmlib, GLIBC filtered):

gstreamer1-plugins-ugly-free-devel (rpmlib, GLIBC filtered):
    gstreamer1-plugins-base-devel
    gstreamer1-plugins-ugly-free

gstreamer1-plugins-ugly-free (rpmlib, GLIBC filtered):
    liba52.so.0()(64bit)
    libc.so.6()(64bit)
    libcdio.so.16()(64bit)
    libcdio.so.16(CDIO_16)(64bit)
    libdvdread.so.4()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgstaudio-1.0.so.0()(64bit)
    libgstbase-1.0.so.0()(64bit)
    libgstreamer-1.0.so.0()(64bit)
    libgsttag-1.0.so.0()(64bit)
    libm.so.6()(64bit)
    libmpg123.so.0()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
gstreamer1-plugins-ugly-free-debuginfo:
    gstreamer1-plugins-ugly-free-debuginfo
    gstreamer1-plugins-ugly-free-debuginfo(x86-64)

gstreamer1-plugins-ugly-free-devel:
    gstreamer1-plugins-ugly-free-devel
    gstreamer1-plugins-ugly-free-devel(x86-64)

gstreamer1-plugins-ugly-free:
    appdata()
    appdata(gstreamer-ugly-free.appdata.xml)
    gstreamer1(decoder-audio/ac3)()(64bit)
    gstreamer1(decoder-audio/mpeg)(mpegversion=1)(layer=1)()(64bit)
    gstreamer1(decoder-audio/mpeg)(mpegversion=1)(layer=2)()(64bit)
    gstreamer1(decoder-audio/mpeg)(mpegversion=1)(layer=3)()(64bit)
    gstreamer1(decoder-audio/x-ac3)()(64bit)
    gstreamer1(decoder-audio/x-private1-ac3)()(64bit)
    gstreamer1(element-a52dec)()(64bit)
    gstreamer1(element-cdiocddasrc)()(64bit)
    gstreamer1(element-dvdreadsrc)()(64bit)
    gstreamer1(element-mpg123audiodec)()(64bit)
    gstreamer1(element-xingmux)()(64bit)
    gstreamer1(encoder-audio/mpeg)(mpegversion=1)(layer=1)()(64bit)
    gstreamer1(encoder-audio/mpeg)(mpegversion=1)(layer=2)()(64bit)
    gstreamer1(encoder-audio/mpeg)(mpegversion=1)(layer=3)()(64bit)
    gstreamer1(urisource-cdda)()(64bit)
    gstreamer1(urisource-dvd)()(64bit)
    gstreamer1-plugin-mpg123
    gstreamer1-plugins-ugly-free
    gstreamer1-plugins-ugly-free(x86-64)
    libgsta52dec.so()(64bit)
    libgstcdio.so()(64bit)
    libgstdvdread.so()(64bit)
    libgstmpg123.so()(64bit)
    libgstxingmux.so()(64bit)



Unversioned so-files
--------------------
gstreamer1-plugins-ugly-free: /usr/lib64/gstreamer-1.0/libgsta52dec.so
gstreamer1-plugins-ugly-free: /usr/lib64/gstreamer-1.0/libgstcdio.so
gstreamer1-plugins-ugly-free: /usr/lib64/gstreamer-1.0/libgstdvdread.so
gstreamer1-plugins-ugly-free: /usr/lib64/gstreamer-1.0/libgstmpg123.so
gstreamer1-plugins-ugly-free: /usr/lib64/gstreamer-1.0/libgstxingmux.so

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1397261 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 29 Neal Gompa 2017-05-10 22:51:16 EDT
Approved.
Comment 30 Gwyn Ciesla 2017-05-11 08:10:14 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/gstreamer1-plugins-ugly-free
Comment 31 Fedora Update System 2017-05-11 10:23:21 EDT
gstreamer1-plugins-ugly-free-1.10.4-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-01143cb336
Comment 32 Fedora Update System 2017-05-11 10:28:51 EDT
gstreamer1-plugins-ugly-free-1.12.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-72ed1ea3c5
Comment 33 Fedora Update System 2017-05-11 18:58:59 EDT
gstreamer1-plugins-ugly-free-1.12.0-3.fc26 lame-3.99.5-8.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e750c345f4
Comment 34 Fedora Update System 2017-05-12 09:41:38 EDT
gstreamer1-plugins-ugly-free-1.10.4-3.fc25, lame-3.99.5-8.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e062f31edf
Comment 35 Fedora Update System 2017-05-12 21:12:45 EDT
gstreamer1-plugins-ugly-free-1.12.0-3.fc26, lame-3.99.5-8.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e750c345f4
Comment 36 Fedora Update System 2017-05-14 16:21:44 EDT
gstreamer1-plugins-ugly-free-1.12.0-3.fc26, lame-3.99.5-8.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 37 Fedora Update System 2017-05-17 02:03:32 EDT
gstreamer1-plugins-ugly-free-1.10.4-3.fc25, lame-3.99.5-8.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.